# Interface VectorOperators.Ternary

All Superinterfaces:
  `VectorOperators.Operator`

Enclosing class:
  `VectorOperators`

public static interface VectorOperators.Ternary extends VectorOperators.Operator
Type for all lane-wise ternary (three-argument) operators, usable in expressions like `w = v0.``lanewise``(FMA, v1, v2)`.

API Note:
  User code should not implement this interface. A future release of this type may restrict implementations to be members of the same package.

- ## Method Summary

  ### Methods declared in interface VectorOperators.Operator

  `arity, compatibleWith, isAssociative, isBoolean, name, operatorName, rangeType`